extends Control


onready var TwitchCheckButton = find_node("TwitchCheckButton", true)


func _ready():
	TwitchCheckButton.pressed = Config.get_parameter("twitch_provider_enabled", false)


func _on_DoneButton_pressed():
	App.go_to_main_menu()


func _on_TwitchConfigureButton_pressed():
	App.go_to_twitch_settings()


func _on_TwitchCheckButton_toggled(button_pressed):
	Config.set_parameter("twitch_provider_enabled", button_pressed)
#	if button_pressed:
#		App.go_to_twitch_settings()
